<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Plugins/PluginBase/PluginItemDiagnostic.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/dbd/_plugin_item_diagnostic_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">PluginItemDiagnostic.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:df/df4/class_scripted_widget_event_handler"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a></td></tr>
<tr class="memdesc:df/df4/class_scripted_widget_event_handler"><td class="mdescLeft">&#160;</td><td class="mdescRight">map: item x <a class="el" href="../../d7/dfc/classvector.html">vector(index, width, height)</a>  <a href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">More...</a><br /></td></tr>
<tr class="separator:df/df4/class_scripted_widget_event_handler"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a6d12d7171104399b62406cd06e78c7ec"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a6d12d7171104399b62406cd06e78c7ec">PluginItemDiagnostic</a> ()</td></tr>
<tr class="separator:a6d12d7171104399b62406cd06e78c7ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae20e201f8731963e2f77dded901b962e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#ae20e201f8731963e2f77dded901b962e">~PluginItemDiagnostic</a> ()</td></tr>
<tr class="separator:ae20e201f8731963e2f77dded901b962e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3a769af93cbb13ac262b55be7977c93"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#ab3a769af93cbb13ac262b55be7977c93">OnClick</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> button)</td></tr>
<tr class="separator:ab3a769af93cbb13ac262b55be7977c93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33b141397bf137d9d0a881c05670516e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a33b141397bf137d9d0a881c05670516e">RegisterDebugItem</a> (<a class="el" href="../../d8/d83/class_object.html">Object</a> item, <a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a33b141397bf137d9d0a881c05670516e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac4c3b9e4d7bbb533a232a43eabeca5d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#aac4c3b9e4d7bbb533a232a43eabeca5d">GetWatchedItem</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:aac4c3b9e4d7bbb533a232a43eabeca5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd2bd274749fe88c223cf2309f6fb9d6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#acd2bd274749fe88c223cf2309f6fb9d6">IsActive</a> ()</td></tr>
<tr class="separator:acd2bd274749fe88c223cf2309f6fb9d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa069c9281decc8b5ffe42b69905ae922"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#aa069c9281decc8b5ffe42b69905ae922">OnScriptMenuOpened</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> opened)</td></tr>
<tr class="separator:aa069c9281decc8b5ffe42b69905ae922"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11ab7b255c26d10e3d909421d1b5caf4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a11ab7b255c26d10e3d909421d1b5caf4">ShowWidgets</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> show)</td></tr>
<tr class="separator:a11ab7b255c26d10e3d909421d1b5caf4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa445a2b92dbe2f27b669304ead9c675"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#aaa445a2b92dbe2f27b669304ead9c675">ToggleDebugWindowEvent</a> ()</td></tr>
<tr class="separator:aaa445a2b92dbe2f27b669304ead9c675"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a342df99e146c0081812b153e2b437bb4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a342df99e146c0081812b153e2b437bb4">ClearWidgets</a> ()</td></tr>
<tr class="separator:a342df99e146c0081812b153e2b437bb4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1c2514da5d1f25435a0ca0bfd2a1dcf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#af1c2514da5d1f25435a0ca0bfd2a1dcf">Tick</a> ()</td></tr>
<tr class="separator:af1c2514da5d1f25435a0ca0bfd2a1dcf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac08a48ef4dc5afe79c14ffbefdd96f5d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#ac08a48ef4dc5afe79c14ffbefdd96f5d">ClearProperties</a> ()</td></tr>
<tr class="separator:ac08a48ef4dc5afe79c14ffbefdd96f5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16a4c986bef25b0f0ee36a7accd85a46"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a16a4c986bef25b0f0ee36a7accd85a46">GeneratePropertiesObject</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> item)</td></tr>
<tr class="separator:a16a4c986bef25b0f0ee36a7accd85a46"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4574ae1743cb1f2841545170e1eef695"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a4574ae1743cb1f2841545170e1eef695">SendRPC</a> (<a class="el" href="../../d8/d83/class_object.html">Object</a> item, <a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a4574ae1743cb1f2841545170e1eef695"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab155432c98fd953c0d27c58757123bb2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#ab155432c98fd953c0d27c58757123bb2">StopWatchRequest</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:ab155432c98fd953c0d27c58757123bb2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae39262e6a641fc3eb6151ea7ed5166c7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#ae39262e6a641fc3eb6151ea7ed5166c7">OnRPC</a> (<a class="el" href="../../d8/d83/class_object.html">Object</a> entity, <a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a> ctx)</td></tr>
<tr class="separator:ae39262e6a641fc3eb6151ea7ed5166c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4db904ffde038a859802d50871e34ae0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a4db904ffde038a859802d50871e34ae0">FillServerFinalVars</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> count, <a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a> ctx, <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> &gt; params)</td></tr>
<tr class="separator:a4db904ffde038a859802d50871e34ae0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c147291eefe8d7826b9643664d76733"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a6c147291eefe8d7826b9643664d76733">InitializeWidgets</a> ()</td></tr>
<tr class="separator:a6c147291eefe8d7826b9643664d76733"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada777685abe2f010988b4924f95e76bb"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#ada777685abe2f010988b4924f95e76bb">OnUpdate</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> delta_time)</td></tr>
<tr class="separator:ada777685abe2f010988b4924f95e76bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acdc11e63a42f469a3646a310e4ac150f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#acdc11e63a42f469a3646a310e4ac150f">DisplayAll</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> item, <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> &gt; vars_server, <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> &gt; vars_client, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> debug_text_server)</td></tr>
<tr class="separator:acdc11e63a42f469a3646a310e4ac150f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa55cc91d909930375a32692cec983d94"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#aa55cc91d909930375a32692cec983d94">FillAgentArray</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a> ctx, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> agents_count)</td></tr>
<tr class="separator:aa55cc91d909930375a32692cec983d94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f4645928c07eaeafa3d84d2a4316d7c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a8f4645928c07eaeafa3d84d2a4316d7c">UpdateAgentWidget</a> ()</td></tr>
<tr class="separator:a8f4645928c07eaeafa3d84d2a4316d7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00a2acd9304a88fc7d2d11de1fa034f4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a00a2acd9304a88fc7d2d11de1fa034f4">UpdateNumericalVarsWidget</a> (<a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> &gt; vars_server, <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> &gt; vars_client)</td></tr>
<tr class="separator:a00a2acd9304a88fc7d2d11de1fa034f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c2a0930706a03b3c6cf06aaa5bd915b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a0c2a0930706a03b3c6cf06aaa5bd915b">PrintOut</a> ()</td></tr>
<tr class="separator:a0c2a0930706a03b3c6cf06aaa5bd915b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d6d3ec8e73d33e00105215010d07dce"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a1d6d3ec8e73d33e00105215010d07dce">GetLocalProperties</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> entity, <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> &gt; properties, <a class="el" href="../../d9/db9/classbool.html">bool</a> client=false)</td></tr>
<tr class="separator:a1d6d3ec8e73d33e00105215010d07dce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72f7ce61b218af351124d61599d03c76"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a72f7ce61b218af351124d61599d03c76">FillWithAgents</a> (<a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item, <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> &gt; properties)</td></tr>
<tr class="separator:a72f7ce61b218af351124d61599d03c76"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a5409d59c30dd053fe7160f39a0e55166"><td class="memItemLeft" align="right" valign="top">class PluginItemDiagnosticEventHandler extends <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a5409d59c30dd053fe7160f39a0e55166">m_Entity</a></td></tr>
<tr class="separator:a5409d59c30dd053fe7160f39a0e55166"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec9e9429cc4dfcfe3895154cb433e6db"><td class="memItemLeft" align="right" valign="top">ref Timer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#aec9e9429cc4dfcfe3895154cb433e6db">myTimer1</a></td></tr>
<tr class="separator:aec9e9429cc4dfcfe3895154cb433e6db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaac8d151fe032ace814bfbaa6b08fe6e"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>, <a class="el" href="../../d8/d83/class_object.html">Object</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#aaac8d151fe032ace814bfbaa6b08fe6e">m_ObserversMap</a> = new <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>,<a class="el" href="../../d8/d83/class_object.html">Object</a>&gt;</td></tr>
<tr class="separator:aaac8d151fe032ace814bfbaa6b08fe6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e7f93feff6f15f13916103430b66a23"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a3e7f93feff6f15f13916103430b66a23">m_Agents</a> = new <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&gt;</td></tr>
<tr class="separator:a3e7f93feff6f15f13916103430b66a23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a080c2a885177df5981f5f6092b101b9a"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>, <a class="el" href="../../d4/dc3/classfloat.html">float</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a080c2a885177df5981f5f6092b101b9a">m_Floats</a> = new <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>,<a class="el" href="../../d4/dc3/classfloat.html">float</a>&gt;</td></tr>
<tr class="separator:a080c2a885177df5981f5f6092b101b9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d0cbeb0dc46081b8b32a7572909dae6"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>, <a class="el" href="../../d4/dc3/classfloat.html">float</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a0d0cbeb0dc46081b8b32a7572909dae6">m_VarsNumbersFinalServer</a> = new <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>,<a class="el" href="../../d4/dc3/classfloat.html">float</a>&gt;</td></tr>
<tr class="separator:a0d0cbeb0dc46081b8b32a7572909dae6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2cacbc25dcfe65ff506fed00630cf74f"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>, <a class="el" href="../../d4/dc3/classfloat.html">float</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a2cacbc25dcfe65ff506fed00630cf74f">m_VarsFinalClient</a> = new <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>,<a class="el" href="../../d4/dc3/classfloat.html">float</a>&gt;</td></tr>
<tr class="separator:a2cacbc25dcfe65ff506fed00630cf74f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae30a284ee50d4824a26c4fe84f3851cb"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#ae30a284ee50d4824a26c4fe84f3851cb">m_Properties</a> = new <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;ref <a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a>&gt;</td></tr>
<tr class="separator:ae30a284ee50d4824a26c4fe84f3851cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a3d3c40e1c50b7a9d14cb880b784df2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a9a3d3c40e1c50b7a9d14cb880b784df2">m_IsActive</a> = false</td></tr>
<tr class="separator:a9a3d3c40e1c50b7a9d14cb880b784df2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1e7ff823f848d3cd134e355fb770021"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#ab1e7ff823f848d3cd134e355fb770021">m_NoteClient</a></td></tr>
<tr class="separator:ab1e7ff823f848d3cd134e355fb770021"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa32280755238aa04e1f59ab4c0ac9580"><td class="memItemLeft" align="right" valign="top">ref PluginItemDiagnosticEventHandler&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#aa32280755238aa04e1f59ab4c0ac9580">m_EventHandler</a></td></tr>
<tr class="separator:aa32280755238aa04e1f59ab4c0ac9580"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a046dac03bfcf1733eab27d78701eb691"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a046dac03bfcf1733eab27d78701eb691">m_DebugRootWidget</a></td></tr>
<tr class="separator:a046dac03bfcf1733eab27d78701eb691"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb0dd176aa56e98ceeb1abea1f957955"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#adb0dd176aa56e98ceeb1abea1f957955">m_FrameWidget</a></td></tr>
<tr class="separator:adb0dd176aa56e98ceeb1abea1f957955"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84ef54577cc5dd50fee944982f8194f8"><td class="memItemLeft" align="right" valign="top">TextListboxWidget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a84ef54577cc5dd50fee944982f8194f8">m_DebugAgentListWidget</a></td></tr>
<tr class="separator:a84ef54577cc5dd50fee944982f8194f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab32b2bc8b9e1cbe089a2146fc9b229dd"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#ab32b2bc8b9e1cbe089a2146fc9b229dd">m_DebugOutputServer</a></td></tr>
<tr class="separator:ab32b2bc8b9e1cbe089a2146fc9b229dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57bf7777ecf53c33d4aaad0c0951393a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a57bf7777ecf53c33d4aaad0c0951393a">m_DebugOutputClient</a></td></tr>
<tr class="separator:a57bf7777ecf53c33d4aaad0c0951393a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c597079ca74080dea645aeaacda63e5"><td class="memItemLeft" align="right" valign="top">TextListboxWidget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a3c597079ca74080dea645aeaacda63e5">m_DebugFloatsProperListWidget</a></td></tr>
<tr class="separator:a3c597079ca74080dea645aeaacda63e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c7a652b89092090ec19593fbacc4102"><td class="memItemLeft" align="right" valign="top">TextListboxWidget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a3c7a652b89092090ec19593fbacc4102">m_DebugClientVarsWidget</a></td></tr>
<tr class="separator:a3c7a652b89092090ec19593fbacc4102"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b80444f03ca06835ad20ea21ab30e62"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a2b80444f03ca06835ad20ea21ab30e62">m_ClassNameWidget</a></td></tr>
<tr class="separator:a2b80444f03ca06835ad20ea21ab30e62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1826011a0484fd3cc8321ff38baecfcd"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a1826011a0484fd3cc8321ff38baecfcd">m_DistanceWidget</a></td></tr>
<tr class="separator:a1826011a0484fd3cc8321ff38baecfcd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68906970d649743ff39fb65c880a7957"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/d58/class_item_preview_widget.html">ItemPreviewWidget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a68906970d649743ff39fb65c880a7957">m_ItemPreviewWidget</a></td></tr>
<tr class="separator:a68906970d649743ff39fb65c880a7957"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c1544ad84c627aed1f974fab7d60fdc"><td class="memItemLeft" align="right" valign="top">ButtonWidget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a5c1544ad84c627aed1f974fab7d60fdc">m_DebugButtonWidget1</a></td></tr>
<tr class="separator:a5c1544ad84c627aed1f974fab7d60fdc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb954cf6c4426c3b6807f2aad7a4362e"><td class="memItemLeft" align="right" valign="top">ButtonWidget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#acb954cf6c4426c3b6807f2aad7a4362e">m_DebugButtonWidget2</a></td></tr>
<tr class="separator:acb954cf6c4426c3b6807f2aad7a4362e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39dddebdd6e0340c182c3888de05c937"><td class="memItemLeft" align="right" valign="top">ButtonWidget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a39dddebdd6e0340c182c3888de05c937">m_DebugButtonWidget3</a></td></tr>
<tr class="separator:a39dddebdd6e0340c182c3888de05c937"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bace82975d33a885adb60fdc1f3a135"><td class="memItemLeft" align="right" valign="top">ButtonWidget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a5bace82975d33a885adb60fdc1f3a135">m_DebugButtonWidget4</a></td></tr>
<tr class="separator:a5bace82975d33a885adb60fdc1f3a135"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bec20553ca8d0692ec9848f397df6f9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d6/dae/group___debug_shape.html#gaf4344f1db5238ced76a52bf38cee2978">Shape</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a5bec20553ca8d0692ec9848f397df6f9">m_ItemLine</a></td></tr>
<tr class="separator:a5bec20553ca8d0692ec9848f397df6f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="ac08a48ef4dc5afe79c14ffbefdd96f5d" name="ac08a48ef4dc5afe79c14ffbefdd96f5d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac08a48ef4dc5afe79c14ffbefdd96f5d">&#9670;&#160;</a></span>ClearProperties()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ClearProperties </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00215">215</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="a342df99e146c0081812b153e2b437bb4" name="a342df99e146c0081812b153e2b437bb4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a342df99e146c0081812b153e2b437bb4">&#9670;&#160;</a></span>ClearWidgets()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ClearWidgets </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00184">184</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="acdc11e63a42f469a3646a310e4ac150f" name="acdc11e63a42f469a3646a310e4ac150f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acdc11e63a42f469a3646a310e4ac150f">&#9670;&#160;</a></span>DisplayAll()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void DisplayAll </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>item</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> &gt;&#160;</td>
          <td class="paramname"><em>vars_server</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> &gt;&#160;</td>
          <td class="paramname"><em>vars_client</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>debug_text_server</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00370">370</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="aa55cc91d909930375a32692cec983d94" name="aa55cc91d909930375a32692cec983d94"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa55cc91d909930375a32692cec983d94">&#9670;&#160;</a></span>FillAgentArray()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void FillAgentArray </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>agents_count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00392">392</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="a4db904ffde038a859802d50871e34ae0" name="a4db904ffde038a859802d50871e34ae0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4db904ffde038a859802d50871e34ae0">&#9670;&#160;</a></span>FillServerFinalVars()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void FillServerFinalVars </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>count</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> &gt;&#160;</td>
          <td class="paramname"><em>params</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00302">302</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="a72f7ce61b218af351124d61599d03c76" name="a72f7ce61b218af351124d61599d03c76"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a72f7ce61b218af351124d61599d03c76">&#9670;&#160;</a></span>FillWithAgents()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> FillWithAgents </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> &gt;&#160;</td>
          <td class="paramname"><em>properties</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00519">519</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="a16a4c986bef25b0f0ee36a7accd85a46" name="a16a4c986bef25b0f0ee36a7accd85a46"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a16a4c986bef25b0f0ee36a7accd85a46">&#9670;&#160;</a></span>GeneratePropertiesObject()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GeneratePropertiesObject </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>item</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00221">221</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="a1d6d3ec8e73d33e00105215010d07dce" name="a1d6d3ec8e73d33e00105215010d07dce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d6d3ec8e73d33e00105215010d07dce">&#9670;&#160;</a></span>GetLocalProperties()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GetLocalProperties </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>entity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> &gt;&#160;</td>
          <td class="paramname"><em>properties</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>client</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00443">443</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="aac4c3b9e4d7bbb533a232a43eabeca5d" name="aac4c3b9e4d7bbb533a232a43eabeca5d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac4c3b9e4d7bbb533a232a43eabeca5d">&#9670;&#160;</a></span>GetWatchedItem()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d8/d83/class_object.html">Object</a> GetWatchedItem </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00138">138</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="a6c147291eefe8d7826b9643664d76733" name="a6c147291eefe8d7826b9643664d76733"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c147291eefe8d7826b9643664d76733">&#9670;&#160;</a></span>InitializeWidgets()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void InitializeWidgets </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00319">319</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="acd2bd274749fe88c223cf2309f6fb9d6" name="acd2bd274749fe88c223cf2309f6fb9d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd2bd274749fe88c223cf2309f6fb9d6">&#9670;&#160;</a></span>IsActive()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> IsActive </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00144">144</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="ab3a769af93cbb13ac262b55be7977c93" name="ab3a769af93cbb13ac262b55be7977c93"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab3a769af93cbb13ac262b55be7977c93">&#9670;&#160;</a></span>OnClick()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> OnClick </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td>
          <td class="paramname"><em>w</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>button</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00086">86</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="ae39262e6a641fc3eb6151ea7ed5166c7" name="ae39262e6a641fc3eb6151ea7ed5166c7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae39262e6a641fc3eb6151ea7ed5166c7">&#9670;&#160;</a></span>OnRPC()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void OnRPC </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>entity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00249">249</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="aa069c9281decc8b5ffe42b69905ae922" name="aa069c9281decc8b5ffe42b69905ae922"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa069c9281decc8b5ffe42b69905ae922">&#9670;&#160;</a></span>OnScriptMenuOpened()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void OnScriptMenuOpened </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>opened</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00149">149</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="ada777685abe2f010988b4924f95e76bb" name="ada777685abe2f010988b4924f95e76bb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada777685abe2f010988b4924f95e76bb">&#9670;&#160;</a></span>OnUpdate()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void OnUpdate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>delta_time</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00344">344</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="a6d12d7171104399b62406cd06e78c7ec" name="a6d12d7171104399b62406cd06e78c7ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d12d7171104399b62406cd06e78c7ec">&#9670;&#160;</a></span>PluginItemDiagnostic()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PluginItemDiagnostic </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00066">66</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="a0c2a0930706a03b3c6cf06aaa5bd915b" name="a0c2a0930706a03b3c6cf06aaa5bd915b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c2a0930706a03b3c6cf06aaa5bd915b">&#9670;&#160;</a></span>PrintOut()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PrintOut </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00434">434</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="a33b141397bf137d9d0a881c05670516e" name="a33b141397bf137d9d0a881c05670516e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a33b141397bf137d9d0a881c05670516e">&#9670;&#160;</a></span>RegisterDebugItem()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void RegisterDebugItem </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>item</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00117">117</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="a4574ae1743cb1f2841545170e1eef695" name="a4574ae1743cb1f2841545170e1eef695"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4574ae1743cb1f2841545170e1eef695">&#9670;&#160;</a></span>SendRPC()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SendRPC </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>item</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00228">228</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="a11ab7b255c26d10e3d909421d1b5caf4" name="a11ab7b255c26d10e3d909421d1b5caf4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a11ab7b255c26d10e3d909421d1b5caf4">&#9670;&#160;</a></span>ShowWidgets()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ShowWidgets </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>show</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00156">156</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="ab155432c98fd953c0d27c58757123bb2" name="ab155432c98fd953c0d27c58757123bb2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab155432c98fd953c0d27c58757123bb2">&#9670;&#160;</a></span>StopWatchRequest()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void StopWatchRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00241">241</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="af1c2514da5d1f25435a0ca0bfd2a1dcf" name="af1c2514da5d1f25435a0ca0bfd2a1dcf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af1c2514da5d1f25435a0ca0bfd2a1dcf">&#9670;&#160;</a></span>Tick()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Tick </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00194">194</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="aaa445a2b92dbe2f27b669304ead9c675" name="aaa445a2b92dbe2f27b669304ead9c675"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa445a2b92dbe2f27b669304ead9c675">&#9670;&#160;</a></span>ToggleDebugWindowEvent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ToggleDebugWindowEvent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00164">164</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="a8f4645928c07eaeafa3d84d2a4316d7c" name="a8f4645928c07eaeafa3d84d2a4316d7c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f4645928c07eaeafa3d84d2a4316d7c">&#9670;&#160;</a></span>UpdateAgentWidget()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UpdateAgentWidget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00404">404</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="a00a2acd9304a88fc7d2d11de1fa034f4" name="a00a2acd9304a88fc7d2d11de1fa034f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a00a2acd9304a88fc7d2d11de1fa034f4">&#9670;&#160;</a></span>UpdateNumericalVarsWidget()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UpdateNumericalVarsWidget </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> &gt;&#160;</td>
          <td class="paramname"><em>vars_server</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> &gt;&#160;</td>
          <td class="paramname"><em>vars_client</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00415">415</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="ae20e201f8731963e2f77dded901b962e" name="ae20e201f8731963e2f77dded901b962e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae20e201f8731963e2f77dded901b962e">&#9670;&#160;</a></span>~PluginItemDiagnostic()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ~<a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a6d12d7171104399b62406cd06e78c7ec">PluginItemDiagnostic</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00075">75</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a3e7f93feff6f15f13916103430b66a23" name="a3e7f93feff6f15f13916103430b66a23"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e7f93feff6f15f13916103430b66a23">&#9670;&#160;</a></span>m_Agents</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&gt; m_Agents = new <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&gt;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00038">38</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="a2b80444f03ca06835ad20ea21ab30e62" name="a2b80444f03ca06835ad20ea21ab30e62"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b80444f03ca06835ad20ea21ab30e62">&#9670;&#160;</a></span>m_ClassNameWidget</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a> m_ClassNameWidget</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00055">55</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="a84ef54577cc5dd50fee944982f8194f8" name="a84ef54577cc5dd50fee944982f8194f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a84ef54577cc5dd50fee944982f8194f8">&#9670;&#160;</a></span>m_DebugAgentListWidget</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TextListboxWidget m_DebugAgentListWidget</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00050">50</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="a5c1544ad84c627aed1f974fab7d60fdc" name="a5c1544ad84c627aed1f974fab7d60fdc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c1544ad84c627aed1f974fab7d60fdc">&#9670;&#160;</a></span>m_DebugButtonWidget1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ButtonWidget m_DebugButtonWidget1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00059">59</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="acb954cf6c4426c3b6807f2aad7a4362e" name="acb954cf6c4426c3b6807f2aad7a4362e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb954cf6c4426c3b6807f2aad7a4362e">&#9670;&#160;</a></span>m_DebugButtonWidget2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ButtonWidget m_DebugButtonWidget2</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00060">60</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="a39dddebdd6e0340c182c3888de05c937" name="a39dddebdd6e0340c182c3888de05c937"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39dddebdd6e0340c182c3888de05c937">&#9670;&#160;</a></span>m_DebugButtonWidget3</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ButtonWidget m_DebugButtonWidget3</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00061">61</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="a5bace82975d33a885adb60fdc1f3a135" name="a5bace82975d33a885adb60fdc1f3a135"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5bace82975d33a885adb60fdc1f3a135">&#9670;&#160;</a></span>m_DebugButtonWidget4</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ButtonWidget m_DebugButtonWidget4</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00062">62</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="a3c7a652b89092090ec19593fbacc4102" name="a3c7a652b89092090ec19593fbacc4102"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c7a652b89092090ec19593fbacc4102">&#9670;&#160;</a></span>m_DebugClientVarsWidget</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TextListboxWidget m_DebugClientVarsWidget</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00054">54</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="a3c597079ca74080dea645aeaacda63e5" name="a3c597079ca74080dea645aeaacda63e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c597079ca74080dea645aeaacda63e5">&#9670;&#160;</a></span>m_DebugFloatsProperListWidget</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TextListboxWidget m_DebugFloatsProperListWidget</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00053">53</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="a57bf7777ecf53c33d4aaad0c0951393a" name="a57bf7777ecf53c33d4aaad0c0951393a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57bf7777ecf53c33d4aaad0c0951393a">&#9670;&#160;</a></span>m_DebugOutputClient</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a> m_DebugOutputClient</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00052">52</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="ab32b2bc8b9e1cbe089a2146fc9b229dd" name="ab32b2bc8b9e1cbe089a2146fc9b229dd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab32b2bc8b9e1cbe089a2146fc9b229dd">&#9670;&#160;</a></span>m_DebugOutputServer</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a> m_DebugOutputServer</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00051">51</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="a046dac03bfcf1733eab27d78701eb691" name="a046dac03bfcf1733eab27d78701eb691"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a046dac03bfcf1733eab27d78701eb691">&#9670;&#160;</a></span>m_DebugRootWidget</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> m_DebugRootWidget</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00047">47</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="a1826011a0484fd3cc8321ff38baecfcd" name="a1826011a0484fd3cc8321ff38baecfcd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1826011a0484fd3cc8321ff38baecfcd">&#9670;&#160;</a></span>m_DistanceWidget</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a> m_DistanceWidget</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00056">56</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="a5409d59c30dd053fe7160f39a0e55166" name="a5409d59c30dd053fe7160f39a0e55166"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5409d59c30dd053fe7160f39a0e55166">&#9670;&#160;</a></span>m_Entity</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class PluginItemDiagnosticEventHandler extends <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a> m_Entity</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa32280755238aa04e1f59ab4c0ac9580" name="aa32280755238aa04e1f59ab4c0ac9580"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa32280755238aa04e1f59ab4c0ac9580">&#9670;&#160;</a></span>m_EventHandler</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ref PluginItemDiagnosticEventHandler m_EventHandler</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00045">45</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="a080c2a885177df5981f5f6092b101b9a" name="a080c2a885177df5981f5f6092b101b9a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a080c2a885177df5981f5f6092b101b9a">&#9670;&#160;</a></span>m_Floats</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>,<a class="el" href="../../d4/dc3/classfloat.html">float</a>&gt; m_Floats = new <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>,<a class="el" href="../../d4/dc3/classfloat.html">float</a>&gt;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00039">39</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="adb0dd176aa56e98ceeb1abea1f957955" name="adb0dd176aa56e98ceeb1abea1f957955"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb0dd176aa56e98ceeb1abea1f957955">&#9670;&#160;</a></span>m_FrameWidget</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> m_FrameWidget</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00048">48</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="a9a3d3c40e1c50b7a9d14cb880b784df2" name="a9a3d3c40e1c50b7a9d14cb880b784df2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a3d3c40e1c50b7a9d14cb880b784df2">&#9670;&#160;</a></span>m_IsActive</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> m_IsActive = false</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00043">43</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="a5bec20553ca8d0692ec9848f397df6f9" name="a5bec20553ca8d0692ec9848f397df6f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5bec20553ca8d0692ec9848f397df6f9">&#9670;&#160;</a></span>m_ItemLine</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d6/dae/group___debug_shape.html#gaf4344f1db5238ced76a52bf38cee2978">Shape</a> m_ItemLine</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00064">64</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="a68906970d649743ff39fb65c880a7957" name="a68906970d649743ff39fb65c880a7957"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68906970d649743ff39fb65c880a7957">&#9670;&#160;</a></span>m_ItemPreviewWidget</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/d58/class_item_preview_widget.html">ItemPreviewWidget</a> m_ItemPreviewWidget</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00057">57</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="ab1e7ff823f848d3cd134e355fb770021" name="ab1e7ff823f848d3cd134e355fb770021"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab1e7ff823f848d3cd134e355fb770021">&#9670;&#160;</a></span>m_NoteClient</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> m_NoteClient</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00044">44</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="aaac8d151fe032ace814bfbaa6b08fe6e" name="aaac8d151fe032ace814bfbaa6b08fe6e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaac8d151fe032ace814bfbaa6b08fe6e">&#9670;&#160;</a></span>m_ObserversMap</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>,<a class="el" href="../../d8/d83/class_object.html">Object</a>&gt; m_ObserversMap = new <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>,<a class="el" href="../../d8/d83/class_object.html">Object</a>&gt;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00037">37</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="ae30a284ee50d4824a26c4fe84f3851cb" name="ae30a284ee50d4824a26c4fe84f3851cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae30a284ee50d4824a26c4fe84f3851cb">&#9670;&#160;</a></span>m_Properties</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;ref <a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a>&gt; m_Properties = new <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;ref <a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a>&gt;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00042">42</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="a2cacbc25dcfe65ff506fed00630cf74f" name="a2cacbc25dcfe65ff506fed00630cf74f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2cacbc25dcfe65ff506fed00630cf74f">&#9670;&#160;</a></span>m_VarsFinalClient</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>,<a class="el" href="../../d4/dc3/classfloat.html">float</a>&gt; m_VarsFinalClient = new <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>,<a class="el" href="../../d4/dc3/classfloat.html">float</a>&gt;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00041">41</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="a0d0cbeb0dc46081b8b32a7572909dae6" name="a0d0cbeb0dc46081b8b32a7572909dae6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0d0cbeb0dc46081b8b32a7572909dae6">&#9670;&#160;</a></span>m_VarsNumbersFinalServer</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>,<a class="el" href="../../d4/dc3/classfloat.html">float</a>&gt; m_VarsNumbersFinalServer = new <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>,<a class="el" href="../../d4/dc3/classfloat.html">float</a>&gt;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00040">40</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
<a id="aec9e9429cc4dfcfe3895154cb433e6db" name="aec9e9429cc4dfcfe3895154cb433e6db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec9e9429cc4dfcfe3895154cb433e6db">&#9670;&#160;</a></span>myTimer1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ref Timer myTimer1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html#l00036">36</a> of file <a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c_source.html">PluginItemDiagnostic.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_2b66b8ed1afe82646c8af9c779a96cad.html">Plugins</a></li><li class="navelem"><a class="el" href="../../dir_bfbe43b663634ae31e97616eeb4b3740.html">PluginBase</a></li><li class="navelem"><a class="el" href="../../da/dbd/_plugin_item_diagnostic_8c.html">PluginItemDiagnostic.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
